Subject: Re: bug#23446: 25.0.93; cursor-sensor-inhibit

From: Phillip Lord <[email-masked]>
Date: Wed, 04 May 2016 22:21:44 +0100

Ken Brown <[email-masked]> writes:

> On 5/4/2016 12:37 PM, Phillip Lord wrote:
>> Ken Brown <[email-masked]> writes:
>>
>>> On 5/4/2016 8:58 AM, Phillip Lord wrote:
>>>> I am getting the following error from a freshly bootstrapped emacs
>>>> launching with emacs -q
>>>>
>>>> Debugger entered--Lisp error: (void-variable cursor-sensor-inhibit)
>>>
>>>> I *think* it may be something amiss with loaddefs
>>>
>>> Try 'make -C lisp autoloads'.
>>
>>
>> I think you are on the right track.
>>
>> I often build out-of-source, where you can clean by just deleting
>> everything. But, this does not clean either loaddefs.el or the elc
>> files.
>
> 'make bootstrap' *does* remove loaddefs.el and the elc files, even in an
> out-of-source build.
>
> When you referred to a freshly bootstrapped emacs, did you mean that
> you ran 'make bootstrap'?

No, I mean build from a clean source tree. I rarely use make bootstrap
for this because you have to run configure first. Normally I clean with
git clean, or just delete the directory for out-of-source.

So, this looks like up a failure during updating rather than anything
else. Slightly surprised if it's only me, but there we have it.

Phil